Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.om.security
Interface SecurityEntity

All Known Subinterfaces:
  Group, Permission, Role, User

All Known Implementing Classes:
  ActiveDirectoryUser, LDAPUser, TorqueGroup, TorqueObject, TorquePermission, TorqueRole, TorqueUser, TurbineGroup, TurbinePermission, TurbineRole, TurbineUser

    public interface SecurityEntity

This class represents a Group of Users in the system that are associated with specific entity or resource. The users belonging to the Group may have various Roles. The Permissions to perform actions upon the resource depend on the Roles in the Group that they are assigned.

Version:
  $Id: SecurityEntity.java 957284 2010-06-23 17:53:31Z tv $
Author:
  Rafal Krzewski, Henning P. Schmiedehausen, Marco Knüttel

Method Summary
`int` | `getId()` Get the Id of the SecurityEntity.
`Integer` | `getIdAsObj()` Get the Id of the SecurityEntity as an Integer object.
`String` | `getName()` Get the Name of the SecurityEntity.
`void` | `setId(int id)` Sets the Id of the SecurityEntity.
`void` | `setName(String name)` Sets the Name of the SecurityEntity.

Method Detail

### getName

    String getName()

  Get the Name of the SecurityEntity.

  Returns:
    The Name of the SecurityEntity.

### setName

    void setName(String name)

  Sets the Name of the SecurityEntity.

  Parameters:
    `name` - Name of the SecurityEntity.

### getId

    int getId()

  Get the Id of the SecurityEntity.

  Returns:
    The Id of the SecurityEntity.

### getIdAsObj

    Integer getIdAsObj()

  Get the Id of the SecurityEntity as an Integer object.

  Returns:
    The Id of the SecurityEntity.

### setId

    void setId(int id)

  Sets the Id of the SecurityEntity.

  Parameters:
    `id` - The new Id of the SecurityEntity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.